Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class SerializableEnumeration

    java.lang.Object
      com.beasys.commerce.util.SerializableEnumeration

All Implemented Interfaces
  Serializable, Enumeration

Deprecated

    @Deprecated
    public class SerializableEnumeration

extends Object
implements Enumeration, Serializable

An implementation of the Enumeration interface which is Serializable.

Note: Since most Enumeration implementations aren't Serializable (including Vector.elements() and Collections.enumeration()), we need this to return Enumerations from SessionBeans and other RemoteObjects. Most collection classes are Serializable, so that's nice. However, to make life easier, this uses the underlying Collection's iterator, most of which also aren't Serializable. Therefore, if a partial enumeration has been done before this Enumeration is serialized, the enumeration will start over on the other side because this internally keeps the Collection's Iterator in a transient field (since Iterator aren't generally Serializable).

This is also intentionally not thread-safe.

Since:
  2.0.1-sp1
See Also
  Serialized Form

Field Summary
`protected Collection` | `c` Deprecated The Collection we're fronting for.
`protected Iterator` | `i` Deprecated The current iterator.

Constructor Summary
`SerializableEnumeration(Collection c)` Deprecated Constructor.

Method Summary
`boolean` | `hasMoreElements()` Deprecated Tell if this enumeration has more elements.
`Object` | `nextElement()` Deprecated Get the next element in the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c

    protected Collection c

  Deprecated
  The Collection we're fronting for.

### i

    protected transient Iterator i

  Deprecated
  The current iterator.

Constructor Detail

### SerializableEnumeration

    public SerializableEnumeration(Collection c)

  Deprecated
  Constructor.

  Parameters
    `c` - the Collection
  Throws
    `IllegalArgumentException` - thrown if c is not Serializable (most Collections are Serializable).

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Deprecated
  Tell if this enumeration has more elements.

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Deprecated
  Get the next element in the enumeration.

  Specified by:
    `nextElement` in interface `Enumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.